Bug 550985

Summary: keyboard not working in qemu
Product: [Fedora] Fedora Reporter: cornel panceac <cpanceac>
Component: qemuAssignee: Justin M. Forbes <jforbes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: berrange, dwmw2, gcosta, itamar, jaswinder, jforbes, markmc, quintela, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 20:08:55 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description cornel panceac 2009-12-28 07:31:51 EST
Description of problem:
while trying to reinstall xp on a qemu virtual disk, i dscovered that i have no 
keyboard input. restarting qemu with 

-k en-us

gave me back the keyboard. the behaviour reminds me of this bug

https://bugzilla.redhat.com/show_bug.cgi?id=488223

however, i don't _know_ if it's libgxim or something else broken here.


Version-Release number of selected component (if applicable):

$ rpm -q libgxim
libgxim-0.3.3-3.fc12.i686

$ rpm -q qemu
qemu-0.11.0-12.fc12.i686



How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2010-01-03 21:33:28 EST
XIM support on imsettings has been disabled by default. if you have modified something to keep imsettings-applet running, try killing it. otherwise it's not libgxim fault.
Comment 2 cornel panceac 2010-01-04 01:17:21 EST
i ain't done anything special about imsettings, but the user account was used on previous fedora versions (starting with f8), so here's what i've found so far:

$ ps aux | grep -i im
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root      1502  0.0  0.1   7680  2816 ?        S    07:55   0:00 /usr/libexec/gdm-simple-slave --display-id /org/gnome/DisplayManager/Display1 --force-active-vt
guzu      1800  0.0  0.1  15676  3472 ?        S    07:58   0:00 /usr/libexec/im-settings-daemon
guzu      2032  0.0  0.0   5300  2036 ?        S    07:58   0:00 /usr/libexec/gconf-im-settings-daemon
guzu      2339  0.0  0.0   4208   744 pts/0    S+   08:12   0:00 grep -i im


could be that it's something inherited from previous fedora versions? if so, how can i disable these settings?

thank you
Comment 3 Akira TAGOH 2010-01-04 02:38:12 EST
No. those processes are irrelevant to libgxim. reassigning to qemu then.
Comment 4 cornel panceac 2010-01-04 03:23:43 EST
(In reply to comment #3)
> No. those processes are irrelevant to libgxim. reassigning to qemu then.  

thank you very much.
Comment 5 Fedora Admin XMLRPC Client 2010-03-09 12:18:19 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-11-03 22:22:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 20:08:55 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.